#
# spec file for package python-google-auth-httplib2
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-google-auth-httplib2
Version:        0.1.0
Release:        3.1
Summary:        Google Authentication Library: httplib2 transport
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/GoogleCloudPlatform/google-auth-library-python-httplib2
Source:         https://files.pythonhosted.org/packages/source/g/google-auth-httplib2/google-auth-httplib2-%{version}.tar.gz
# https://github.com/googleapis/google-auth-library-python-httplib2/issues/68
Patch0:         python-google-auth-httplib2-no-mock.patch
BuildRequires:  %{python_module Flask}
BuildRequires:  %{python_module google-auth}
BuildRequires:  %{python_module httplib2 >= 0.15.0}
BuildRequires:  %{python_module pytest-localserver}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-google-auth
Requires:       python-httplib2 >= 0.15.0
Requires:       python-six
BuildArch:      noarch
%python_subpackages

%description
This library provides an `httplib2`_ transport for `google-auth`_.

%prep
%setup -q -n google-auth-httplib2-%{version}
%patch0 -p1

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/*

%changelog
* Sun Jul  2 2023 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Wed Jun  8 2022 pgajdos@suse.com
- do not require python-mock for build
- added patches
  fix https://github.com/googleapis/google-auth-library-python-httplib2/issues/68
  + python-google-auth-httplib2-no-mock.patch
* Mon Aug 23 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Update to version 0.1.0
  * chore: release 0.1.0 (#22)
  * feat: add close method (#14)
  * build: migrate to flakybot (#21)
  * chore: use nox and kokoro (#16)
  * Add renovate.json (#15)
  * Fix the signature of AuthorizedHttp.request to match
    the signature of the request in httplib2 (#13)
  * Expose redirect_codes on AuthorizedHttp. (#12)
- from version 0.0.4
  * Release 0.0.4 (#11)
  * feat: expose a few httplib2 properties and a method (#9)
  * Bug: Catch any underlying exceptions from http.HTTPException (#7)
- Update BuildRequires and Requires from setup.py
* Thu Mar 14 2019 Tomáš Chvátal <tchvatal@suse.com>
- Initial commit, needed by google-api-python-client
